precision highp float;
uniform sampler2D u_TextureUnit;
uniform float u_Progress;
varying vec2 v_TextureCoordinates;
void main()
{
    float times = 0.4*abs(sin(u_Progress*6.283185307179586476925286766559))+1.0;

     vec2 uv = v_TextureCoordinates.xy;
     vec4 fore = texture2D(u_TextureUnit, v_TextureCoordinates);
     vec2 center = vec2(0.5);

     vec2 scaledUV = (uv-center)/times+center;

     vec2 upperBorder = (vec2(1.0))/2.0+center;
     vec2 lowerBorder = center - (vec2(1.0))/2.0;
     float flag = step(scaledUV.x,upperBorder.x)*step(scaledUV.y,upperBorder.y)*step(lowerBorder.x,scaledUV.x)*step(lowerBorder.y,scaledUV.y);
     vec4 overlay = vec4(0.20392,0.38039,0.4,0.6);
     if(flag==1.0)
     {
        gl_FragColor = mix(texture2D(u_TextureUnit,scaledUV),overlay,overlay.a);
     }
     else
     {
        gl_FragColor = mix(texture2D(u_TextureUnit,uv),overlay,overlay.a);
     }

}